<!DOCTYPE HTML>
<html>
	<head>
		<title>Shahriar Rivan</title>
		<link rel="icon" type="image/x-icon" href="favicon.ico">
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<link rel="stylesheet" href="main.css" />
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
		<noscript><link rel="stylesheet" href="noscript.css" /></noscript>
	</head>
	<body class="is-preload">
		<!-- Sidebar -->
			<section id="sidebar">
				<div class="inner">
					<nav>
						<ul>
							<li><a href="#intro">Introduction</a></li>
							<li><a href="#AboutMe">About Me</a></li>
							<li><a href="#projects">Projects</a></li>
							<li><a href="#FindMe">Find me</a></li>
						</ul>
					</nav>
				</div>
			</section>

		<!-- Wrapper -->
			<div id="wrapper">

				<!-- Intro -->
				    
					<section id="intro" class="wrapper style1 fullscreen fade-up">
						<div class="inner" style="padding: 20em 2em 20em 2em">
							<h1>Shahriar Rivan</h1>
							<p>Front-end developer   /   Software engineer   /   Arduino Expert</p>
							<ul class="actions">
								<li><a href="https://drive.google.com/file/d/1MgZR6HdEZTlVkpULxrrPrCc_p98cV_Da/view?usp=share_link" target="_blank" class="button scrolly">Resume</a></li>
							</ul>
						    
						</div>
						
					</section>

				<!-- One -->
					<section id="AboutMe" class="wrapper style2 spotlights">
						<section>
						    <a href="#" class="image" ><img src="IMG_8919_Original.jpg" alt="" /></a>
							<div class="content">
								<div class="inner">
									<h2 style="text-align: center;">Bio</h2><br><br>
									 <p style="text-align: center;"> I'm a Front-end Web Developer and Software Engineer currently pursuing my undergraduate
										 degree in Computer Science at the University of Missouri-Kansas City (UMKC). My love of 
										 technology and creative thinking motivate me to look for new ways to solve challenges 
										 in the real world. I enjoy working on Arduino projects because they allow me to combine 
										 my technical expertise, coding knowledge, and mechanical understanding with my creativity. 
										 I've started a number of intriguing projects, including robotics and home automation. I hope 
										 to demonstrate through my portfolio my expertise in front-end development, software engineering, 
										 and my love of Arduino projects. I urge you to go through my work, get to know me better, 
										 and see how committed I am to making concepts become real, usable things.
									</p>
								</div>
							</div>
						</section>
						<section>
							<a href="#" class="image"><img src="IMG_6171.jpg" alt=""  /></a>
							<div class="content">
								<div class="inner">
									<h2 style="text-align: center;">Skills & Experience</h2><br><br>
									
									<h3 id="highlight" style="text-align: center;">Languages</h3>
									<p style="text-align: center;"> 
										<span class="skills">C</span><span class="skills">C++</span><span class="skills">Java</span><span class="skills">Python</span>
										<span class="skills">JavaScript</span><span class="skills">HTML</span>
										<span class="skills">CSS</span><span class="skills">React</span><span class="skills">Swift</span>
										<span class="skills">MySQL</span><br><br>
									</p>
									<h3 id="highlight" style="text-align: center;">Operating Systems</h3>
									<p style="text-align: center;"> 
										 <span class="skills">Windows</span><span class="skills">MacOS</span><br>
									</p>
									<h3 id="highlight" style="text-align: center;">Tools</h3>
									<p style="text-align: center;"> 
										<span class="skills">VisualStudio</span><span class="skills">Xcode</span><span class="skills">Swift</span><span class="skills">Python</span>
										<span class="skills">CodeBlocks</span><span class="skills">WordPress</span>
										<span class="skills">ArduinoIDE</span><span class="skills">Git</span><span class="skills">SquareSpace</span>
										<span class="skills">GitHub</span><span class="skills">GitLab</span><br><br>
									</p>
									<h3 id="highlight" style="text-align: center;">Experience</h3>
									<p id="exp" style="text-align: center; color:rgb(218, 186, 253);"> 
										&#x2022; <span style="font-weight: bolder;">Productivity Intern at Farm to Market Bread Co.<span style="color:aliceblue;">-  From May 2023 to Current</span> </span>
										<span style="color: rgb(101, 27, 205); font-size: small;"><br>-Support the manufacturer’s team in productivity/continuous improvement projects
										<br>-Analyze and assess business continuous improvement issues
										<br>-Participate in root cause analysis, time studies, and data analysis to resolve issues identified in
										design or manufacturing and support execution of corrective actions<br><br></span>
										&#x2022; <span style="font-weight: bolder;">Full-Stack developer intern at iSTEM BD<span style="color:aliceblue;"> - From 2017 to 2019</span></span>
										<span style="color: rgb(101, 27, 205); font-size: small;">
											<br>-Overseeing the Coding, debugging and testing of my team
											<br>-Used APIs to showcase billing graphs for user specific accounts
											<br>-Seasonally coaching school kids about basics of coding
											<br>-Communicated and documented issues of users with support
												engineers and collaborated on solutions.<br><br></span>
										&#x2022; <span style="font-weight: bolder;">Data analyst Intern at Synergy<span style="color:aliceblue;"> - From 2017 to 2018</span></span>
										<span style="color: rgb(101, 27, 205); font-size: small;">
											<br>-Reviewing data to identify key insights into a business's customers and ways the data can be used to solve
											problems
											<br>-Market research analysts collect and evaluate consumer and competitor data.<br><br></span>
										<br><br>
									</p>

								</div>
							</div>
						</section>
						<section>
							<a href="#" class="image"><img src="IMG_6149.jpg" alt=""  /></a>
							<div class="content">
								<div class="inner">
									<h2 style="text-align: center; ">Education</h2><br><br>
									<p style="text-align: center;"><span style="font-weight: bold;font-size: large;color:rgb(218, 186, 253);">University of Missouri-Kansas City</span><br>
										<span style="font-size: small;color: rgb(101, 27, 205);"><span style="color:rgb(218, 186, 253);">Bachelor of Science in Computer Science</span><br>I Moved to the US from bangladesh in 2019 and went to Los Angeles Pierce college for my first 2 years of college then i transferred to UMKC for my second 2 years of college and projected to graduate on May 2024</span><br><br>
										
										<p style="text-align: center; font-size: small;"> 
											<span style="font-weight: bold;font-size: large;">Courses completed<br></span>
											<span class="skills">CS116</span><span class="skills">CS216</span>
											<span class="skills">CS191</span><span class="skills">CS281R</span>
											<span class="skills">CS291</span><span class="skills">CS303</span>
											<span class="skills">CS320</span><span class="skills">CS404</span>
											<span class="skills">CS431</span><span class="skills">CS470</span>
											<span class="skills">CS490W</span><span class="skills">MATH261</span>
											<span class="skills">MATH262</span><span class="skills">MATH270</span>
											<span class="skills">STAT235</span><span class="skills">ENG101</span>
											<span class="skills">ENG225</span><span class="skills">COMM101</span>
											<span class="skills">PHYSICS101</span><span class="skills">PHYSICS102</span>
											<span class="skills">BIO102</span><span class="skills">ECON202</span>
											<span class="skills">PSYCH210</span><span class="skills">ART114</span>
											<span class="skills">PHYLOS210</span><span class="skills">ENVS110</span>
											<span class="skills">ENVS110L</span><span class="skills">HIST102</span>
											<span class="skills">ARTHIST110</span><br><br>
										</p>
									</p>
								</div>
							</div>
						</section>
					</section>

				<!-- Two -->
					<section id="projects" class="wrapper style3 fade-up">
						<div class="inner" style="padding-bottom: 10em">
							<h2 style="text-align: center;">Projects</h2>
							<p style="text-align: center;">Here are some of my recent works</p>
							<div id="nmain">
								<div class="ninner">
									
									<section class="ntiles">
										<article class="nstyle1">
											<span class="nimage">
												<img src="pkey.jpg" alt="" />
											</span>
											<a href="projects.html#CarKey">
												<h2>CarKey</h2>
												<div class="ncontent">
													<p>Click to learn more</p>
												</div>
											</a>
										</article>
										<article class="nstyle1">
											<span class="nimage">
												<img src="pnfc.jpg" alt="" />
											</span>
											<a href="projects.html#nfc">
												<h2>NFC & Morse Code protected safe</h2>
												<div class="ncontent">
													<p>Click to learn more</p>
												</div>
											</a>
										</article>
										<article class="nstyle1">
											<span class="nimage">
												<img src="pdoor.jpg" alt="" />
											</span>
											<a href="projects.html#Homekitlock">
												<h2>Homekit Door Lock</h2>
												<div class="ncontent">
													<p>Click to learn more</p>
												</div>
											</a>
										</article>
										<article class="nstyle1">
											<span class="nimage">
												<img src="pcar.jpg" alt="" />
											</span>
											<a href="projects.html#btcar">
												<h2>Arduino BT controlled car</h2>
												<div class="ncontent">
													<p>Click to learn more</p>
												</div>
											</a>
										</article>
										<article class="nstyle1">
											<span class="nimage">
												<img src="plogob.jpg" alt="" />
											</span>
											<a href="projects.html#portfolio">
												<h2>Portfolio Website</h2>
												<div class="ncontent">
													<p>Click to learn more</p>
												</div>
											</a>
										</article>
										<article class="nstyle1">
											<span class="nimage">
												<img src="papp.jpg" alt="" />
											</span>
											<a href="projects.html#fitnesslog">
												<h2 >Fitness Log (In Progress)</h2>
												<div class="ncontent">
													<p>Click to learn more</p>
												</div>
											</a>
										</article>
							</div>
							<!-- <ul class="actions">
								<li><a href="projects.html" class="button" >Learn more</a></li>
							</ul> -->
						</div>
					</section>

				<!-- Three -->
					<section id="FindMe" class="wrapper style1 fade-up">
						<div class="inner" style="padding: 10em 2em 20em 2em">
							<h2 style="text-align: center;">Find me</h2>
							<!-- <h3 style="text-align: center;">Social</h3> -->
							<div class="split style1" style="margin-top: 50px;">
								<section>
									<a href="https://github.com/ShahriarRivan" class="fa fa-github"></a>
									<a href="https://www.facebook.com/fardin.shahriar.rivan?mibextid=LQQJ4d" class="fa fa-facebook"></a>
									<a href="https://instagram.com/fardinrshahriar?igshid=OGQ5ZDc2ODk2ZA==" class="fa fa-instagram"></a>
									<a href="https://linkedin.com/in/shahriarrivan" class="fa fa-linkedin"></a>
								</section>
							
								<section>
									<ul class="contact">
										<li>
											<h3>Location</h3>
											
											<span>Kansas City, MO</span>
										</li>
										<li>
											<h3>Email</h3>
											<a href="#">shahriar.rivan@yahoo.com</a>
											<a href="#">shahriar.rivan@gmail.com</a>
										</li>
									
									</ul>
								</section>
							</div>
						</div>
					</section>

			</div>

		<!-- Footer -->
			<footer id="footer" class="wrapper style1-alt">
				<div class="inner">
					<ul class="menu">
						<li>&copy; Shahriar Rivan 2023.</li>
					</ul>
				</div>
			</footer>

		<!-- Scripts -->
			<script src="jquery.min.js"></script>
			<script src="jquery.scrollex.min.js"></script>
			<script src="jquery.scrolly.min.js"></script>
			<script src="browser.min.js"></script>
			<script src="breakpoints.min.js"></script>
			<script src="util.js"></script>
			<script src="main.js"></script>

	</body>
</html>
